package cn.ey.biz.module.external.api.fd.feign.config;

import org.springframework.context.annotation.Bean;

import feign.Logger;
import feign.codec.Encoder;
/**
 * Feign 自定义配置
 * @author 86182
 *
 */
public class ExternalServiceFeignConfiguration {

//    @Bean
//    public FeignHeaderInterceptor feignFdInterceptor() {
//        //return new ExternalServiceFeignClientInterceptor();
//        return new FeignHeaderInterceptor();
//    }

    @Bean
    public Logger.Level level() {
        return Logger.Level.FULL;
    }
    

	@Bean
	public Encoder encoder() {
	    return new ExternalServiceFeignEncoder();
	}

}
